org.apache.lucene.queryParser.core.nodes

## Class ParametricQueryNode

- java.lang.Object
- - org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
  - - org.apache.lucene.queryParser.core.nodes.FieldQueryNode
    - - org.apache.lucene.queryParser.core.nodes.ParametricQueryNode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, FieldableNode, QueryNode, TextableQueryNode

      public class ParametricQueryNode
      extends FieldQueryNode

  A `ParametricQueryNode` represents LE, LT, GE, GT, EQ, NE query. Example: date >= "2009-10-10" OR price = 200
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ParametricQueryNode.CompareOperator`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queryParser.core.nodes.FieldQueryNode

      `begin, end, field, positionIncrement, text`

    - ### Fields inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl

      `PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParametricQueryNode(java.lang.CharSequence field, ParametricQueryNode.CompareOperator comp, java.lang.CharSequence value, int begin, int end)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParametricQueryNode` | `cloneTree()` Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
    `java.lang.CharSequence` | `getOperand()`
    `ParametricQueryNode.CompareOperator` | `getOperator()`
    `java.lang.CharSequence` | `toQueryString(EscapeQuerySyntax escapeSyntaxParser)` convert to a query string understood by the query parser
    `java.lang.String` | `toString()` Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

    - ### Methods inherited from class org.apache.lucene.queryParser.core.nodes.FieldQueryNode

      `getBegin, getEnd, getField, getFieldAsString, getPositionIncrement, getTermEscaped, getTermEscapeQuoted, getText, getTextAsString, setBegin, setEnd, setField, setPositionIncrement, setText`

    - ### Methods inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl

      `add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTags, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, unsetTag`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.queryParser.core.nodes.QueryNode

      `add, add, containsTag, getChildren, getParent, getTag, getTags, isLeaf, set, setTag, unsetTag`

- - ### Constructor Detail

    - #### ParametricQueryNode

          public ParametricQueryNode(java.lang.CharSequence field,
                                     ParametricQueryNode.CompareOperator comp,
                                     java.lang.CharSequence value,
                                     int begin,
                                     int end)

      Parameters:
        `field` - - field name
        `comp` - - CompareOperator
        `value` - - text value
        `begin` - - position in the query string
        `end` - - position in the query string

  - ### Method Detail

    - #### getOperand

          public java.lang.CharSequence getOperand()

    - #### toQueryString

          public java.lang.CharSequence toQueryString(EscapeQuerySyntax escapeSyntaxParser)

      Description copied from interface: `QueryNode`
      convert to a query string understood by the query parser
      Specified by:
        `toQueryString` in interface `QueryNode`
      Overrides:
        `toQueryString` in class `FieldQueryNode`

    - #### toString

          public java.lang.String toString()

      Description copied from class: `QueryNodeImpl`
      Every implementation of this class should return pseudo xml like this: For FieldQueryNode:
      Specified by:
        `toString` in interface `QueryNode`
      Overrides:
        `toString` in class `FieldQueryNode`
      See Also:
        `QueryNode.toString()`

    - #### cloneTree

          public ParametricQueryNode cloneTree()
                                        throws java.lang.CloneNotSupportedException

      Description copied from interface: `QueryNode`
      Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
      Specified by:
        `cloneTree` in interface `QueryNode`
      Overrides:
        `cloneTree` in class `FieldQueryNode`
      Returns:
        the cloned tree
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### getOperator

          public ParametricQueryNode.CompareOperator getOperator()

      Returns:
        the operator

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.